summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xabs/core-testing/LinHES-config/PKGBUILD2
-rwxr-xr-xabs/core-testing/LinHES-config/install_functions.sh35
-rwxr-xr-xabs/core-testing/LinHES-config/mv_config.py2
-rw-r--r--abs/core-testing/dhcp/ChangeLog8
-rw-r--r--abs/core-testing/dhcp/PKGBUILD33
-rw-r--r--abs/core-testing/dhcp/dhcp-3.0.3-tr.c.patch10
-rw-r--r--abs/core-testing/dhcp/dhcp-4.1.0-missing-ipv6-not-fatal.patch50
-rw-r--r--abs/core-testing/dhcp/dhcp.conf.d6
-rwxr-xr-xabs/core-testing/dhcp/dhcpd3
-rw-r--r--abs/core-testing/dhcpcd/PKGBUILD61
-rw-r--r--abs/extra-testing/wireshark/PKGBUILD26
-rw-r--r--abs/extra-testing/wireshark/wireshark.desktop10
-rw-r--r--abs/extra-testing/wireshark/wireshark.pngbin0 -> 18535 bytes
13 files changed, 188 insertions, 58 deletions
diff --git a/abs/core-testing/LinHES-config/PKGBUILD b/abs/core-testing/LinHES-config/PKGBUILD
index e25e802..75439cc 100755
--- a/abs/core-testing/LinHES-config/PKGBUILD
+++ b/abs/core-testing/LinHES-config/PKGBUILD
@@ -1,6 +1,6 @@
pkgname=LinHES-config
pkgver=2.0
-pkgrel=63
+pkgrel=65
conflicts=(MythVantage-config MythVantage-config-dev LinHES-config-dev )
pkgdesc="Install and configure your system"
depends=(bc libstatgrab mysql-python expect curl dnsutils parted sg3_utils nmbscan system-templates rsync python-parted ddcxinfo python-pexpect python-netifaces LinHES-timezone python-iplib)
diff --git a/abs/core-testing/LinHES-config/install_functions.sh b/abs/core-testing/LinHES-config/install_functions.sh
index 29f57cc..0bc0591 100755
--- a/abs/core-testing/LinHES-config/install_functions.sh
+++ b/abs/core-testing/LinHES-config/install_functions.sh
@@ -200,6 +200,15 @@ function rest_of_network () {
else
printhl " DNS not found"
fi
+ echo $CMDLINE | grep -q chostname
+ if [ $? -eq 0 ]
+ then
+ TEMPVAR=${CMDLINE#*chostname=}
+ MYHOST=${TEMPVAR%% *}
+ update_db_settings HostMyhostname "$MYHOST"
+ else
+ printhl " hostname not found"
+ fi
}
function init_network {
@@ -259,6 +268,14 @@ function dev_up_check(){
}
function request_dhcp(){
+ echo $CMDLINE |grep -q cnetdev
+ if [ $? -eq 0 ]
+ then
+ TEMPVAR=${CMDLINE#*cnetdev=}
+ MYTHDEFAULT_NET=${TEMPVAR%% *}
+ else
+ MYTHDEFAULT_NET="eth0"
+ fi
for ndev in eth0 eth1 wlan0 wlan1 ath0
do
dev_up_check $ndev
@@ -266,22 +283,30 @@ function request_dhcp(){
if [ $status -eq 1 ]
then
#interface is down, lets see if dhcp responds
- dhcpcd -Td -t2 $ndev > /tmp/dhcpinfo.$ndev
- TEMPVAR=`grep IPADDR /tmp/dhcpinfo.$ndev |cut -d\' -f2`
+ dhcpcd -Td -t2 $ndev -h "" > /tmp/dhcpinfo.$ndev
+ #check for hostname here
+
+ TEMPVAR=`grep new_ip_address /tmp/dhcpinfo.$ndev |cut -d\= -f2`
if [ ! x$TEMPVAR = x ]
then
update_db_settings HostIP$ndev "$TEMPVAR"
- TEMPVAR=`grep NETMASK /tmp/dhcpinfo.$ndev |cut -d\' -f2`
+ TEMPVAR=`grep new_subnet_mask /tmp/dhcpinfo.$ndev |cut -d\= -f2`
nm=`/usr/bin/nmconv.py -obits $TEMPVAR`
TEMPVAR="/$nm $TEMPVAR"
update_db_settings HostNETMASK$ndev "$TEMPVAR"
- TEMPVAR=`grep GATEWAYS /tmp/dhcpinfo.$ndev |cut -d\' -f2`
+ TEMPVAR=`grep new_routers /tmp/dhcpinfo.$ndev |cut -d\= -f2`
update_db_settings HostGW$ndev "$TEMPVAR"
- TEMPVAR=`grep DNSSERVERS /tmp/dhcpinfo.$ndev |cut -d\' -f2`
+ TEMPVAR=`grep new_domain_name_servers /tmp/dhcpinfo.$ndev |cut -d\= -f2`
update_db_settings HostDNS$ndev "$TEMPVAR"
fi
fi
done
+ TEMPVAR=`grep new_host_name /tmp/dhcpinfo.$MYTHDEFAULT_NET |cut -d\= -f2`
+ if [ ! x$TEMPVAR = x ]
+ then
+ update_db_settings HostMyhostname "$TEMPVAR"
+ fi
+
}
function init_remote {
diff --git a/abs/core-testing/LinHES-config/mv_config.py b/abs/core-testing/LinHES-config/mv_config.py
index d5a247d..1ac4fea 100755
--- a/abs/core-testing/LinHES-config/mv_config.py
+++ b/abs/core-testing/LinHES-config/mv_config.py
@@ -10,7 +10,7 @@ NOOPDEBUG="FALSE"
BACKUPFILE="mythconverg.sql.gz"
BACKUPPATH="/myth/backup/"
TEMP_TEMPLATES="/tmp/templates"
-SMEDIA="/myth"
+SMEDIA="myth"
diff --git a/abs/core-testing/dhcp/ChangeLog b/abs/core-testing/dhcp/ChangeLog
new file mode 100644
index 0000000..7b9cb47
--- /dev/null
+++ b/abs/core-testing/dhcp/ChangeLog
@@ -0,0 +1,8 @@
+
+2009-07-19 K. Piche <kevin@archlinux.org>
+ * dhcp 4.1.0.p1-1
+ * Adopted RedHat patch to fix bug where dhcpd won't start if ipv6 module
+ is not loaded. Fixes FS#12792.
+ * Added /etc/conf.d/dhcp feature contributed by Fabiano Furtado Pessoa
+ Coelho <fusca14@gmail.com>
+
diff --git a/abs/core-testing/dhcp/PKGBUILD b/abs/core-testing/dhcp/PKGBUILD
index f426778..db15ac3 100644
--- a/abs/core-testing/dhcp/PKGBUILD
+++ b/abs/core-testing/dhcp/PKGBUILD
@@ -1,46 +1,39 @@
-# $Id: PKGBUILD 23123 2009-01-03 02:43:02Z kevin $
+# $Id: PKGBUILD 46754 2009-07-20 03:16:44Z kevin $
# Maintainer: judd <jvinet@zeroflux.org>
pkgname=dhcp
-pkgver=4.1.0
+# separate patch levels with a period to maintain proper versioning.
+pkgver=4.1.0.p1
+_pkgver=4.1.0p1
pkgrel=1
pkgdesc="A DHCP server, client, and relay agent"
arch=(i686 x86_64)
license=('custom:isc-dhcp')
-url="http://www.isc.org/sw/dhcp/"
+url="https://www.isc.org/software/dhcp"
depends=('openssl>=0.9.8a')
-backup=('etc/dhcpd.conf' 'etc/dhclient.conf')
+backup=('etc/dhcpd.conf' 'etc/conf.d/dhcp')
install=dhcp.install
-source=(http://ftp.isc.org/isc/dhcp/dhcp-${pkgver}.tar.gz dhcp-3.0.3-tr.c.patch
-dhcpd)
-md5sums=('1fffed2e8c3d67b111316d6a9b33db7a' '39866416303b674df08b66b2d094e523'
- '025b8fe98b6c0814428b671b1819a810')
+source=(http://ftp.isc.org/isc/${pkgname}/${pkgname}-${_pkgver}.tar.gz
+dhcpd dhcp.conf.d dhcp-4.1.0-missing-ipv6-not-fatal.patch)
build() {
- cd ${srcdir}/${pkgname}-${pkgver}
- patch -p1 -i ../dhcp-3.0.3-tr.c.patch || return 1
+ cd ${srcdir}/${pkgname}-${_pkgver}
# Define _GNU_SOURCE to fix IPV6.
sed '/^CFLAGS="$CFLAGS/ s/INGS"/INGS -D_GNU_SOURCE"/' -i configure
+ # Make not having ipv6 non-fatal.
+ patch -Np1 -i ${srcdir}/dhcp-4.1.0-missing-ipv6-not-fatal.patch
./configure --prefix=/usr --sysconfdir=/etc \
--with-srv-lease-file=/var/state/dhcp/dhcpd.leases \
--with-srv6-lease-file=/var/state/dhcp/dhcpd6.leases
make || return 1
make DESTDIR=${pkgdir} install
- #install -D -m644 server/dhcpd.conf ${pkgdir}/etc/dhcpd.conf
- #install -D -m644 client/dhclient.conf ${pkgdir}/etc/dhclient.conf
install -D -m755 ${srcdir}/dhcpd ${pkgdir}/etc/rc.d/dhcpd
+ install -D -m644 ${srcdir}/dhcp.conf.d ${pkgdir}/etc/conf.d/${pkgname}
mkdir -p ${pkgdir}/var/state/dhcp
- #touch ${pkgdir}/var/state/dhcp/dhcpd.leases
- #chmod -R 644 ${pkgdir}/usr/share/man/*
- #chmod 755 ${pkgdir}/usr/share/man/man{1,3,5,8}
- #sed -i 's|etc/dhclient-script|sbin/dhclient-script|g' \
- #${pkgdir}/etc/dhclient.conf
- #rm -f ${pkgdir}/var/state/dhcp/dhcpd.leases
- #rm -f ${pkgdir}/sbin/{dhclient,dhclient-script}
rm -f ${pkgdir}/etc/dhclient.conf
rm -f ${pkgdir}/usr/sbin/dhclient
rm -f ${pkgdir}/usr/share/man/man{5,8}/dhclient*
# install licenses
- install -m644 -D ${srcdir}/${pkgname}-${pkgver}/LICENSE \
+ install -m644 -D ${srcdir}/${pkgname}-${_pkgver}/LICENSE \
${pkgdir}/usr/share/licenses/dhcp/LICENSE
}
diff --git a/abs/core-testing/dhcp/dhcp-3.0.3-tr.c.patch b/abs/core-testing/dhcp/dhcp-3.0.3-tr.c.patch
deleted file mode 100644
index e262c5e..0000000
--- a/abs/core-testing/dhcp/dhcp-3.0.3-tr.c.patch
+++ /dev/null
@@ -1,10 +0,0 @@
---- work.linux-2.2/common/tr.c 2005/08/14 11:34:24 1.1
-+++ work.linux-2.2/common/tr.c 2005/08/14 11:35:16
-@@ -40,6 +40,7 @@ static char copyright[] =
- #include "includes/netinet/if_ether.h"
- #include "netinet/if_tr.h"
- #include <sys/time.h>
-+#include <linux/types.h>
-
- /*
- * token ring device handling subroutines. These are required as token-ring
diff --git a/abs/core-testing/dhcp/dhcp-4.1.0-missing-ipv6-not-fatal.patch b/abs/core-testing/dhcp/dhcp-4.1.0-missing-ipv6-not-fatal.patch
new file mode 100644
index 0000000..ebf3865
--- /dev/null
+++ b/abs/core-testing/dhcp/dhcp-4.1.0-missing-ipv6-not-fatal.patch
@@ -0,0 +1,50 @@
+diff -Naur dhcp-4.1.0a2/common/discover.c dhcp-4.1.0a2-mcn/common/discover.c
+--- dhcp-4.1.0a2/common/discover.c 2008-08-29 18:48:57.000000000 +0100
++++ dhcp-4.1.0a2-mcn/common/discover.c 2008-10-02 13:02:06.000000000 +0100
+@@ -443,15 +443,17 @@
+ }
+
+ #ifdef DHCPv6
+- ifaces->fp6 = fopen("/proc/net/if_inet6", "r");
+- if (ifaces->fp6 == NULL) {
+- log_error("Error opening '/proc/net/if_inet6' to "
+- "list IPv6 interfaces; %m");
+- close(ifaces->sock);
+- ifaces->sock = -1;
+- fclose(ifaces->fp);
+- ifaces->fp = NULL;
+- return 0;
++ if (local_family == AF_INET6) {
++ ifaces->fp6 = fopen("/proc/net/if_inet6", "r");
++ if (ifaces->fp6 == NULL) {
++ log_error("Error opening '/proc/net/if_inet6' to "
++ "list IPv6 interfaces; %m");
++ close(ifaces->sock);
++ ifaces->sock = -1;
++ fclose(ifaces->fp);
++ ifaces->fp = NULL;
++ return 0;
++ }
+ }
+ #endif
+
+@@ -720,7 +722,8 @@
+ }
+ #ifdef DHCPv6
+ if (!(*err)) {
+- return next_iface6(info, err, ifaces);
++ if (local_family == AF_INET6)
++ return next_iface6(info, err, ifaces);
+ }
+ #endif
+ return 0;
+@@ -736,7 +739,8 @@
+ close(ifaces->sock);
+ ifaces->sock = -1;
+ #ifdef DHCPv6
+- fclose(ifaces->fp6);
++ if (local_family == AF_INET6)
++ fclose(ifaces->fp6);
+ ifaces->fp6 = NULL;
+ #endif
+ }
diff --git a/abs/core-testing/dhcp/dhcp.conf.d b/abs/core-testing/dhcp/dhcp.conf.d
new file mode 100644
index 0000000..99ba6d1
--- /dev/null
+++ b/abs/core-testing/dhcp/dhcp.conf.d
@@ -0,0 +1,6 @@
+#
+# Arguments to be passed to the DHCP server daemon
+#
+
+DHCP_ARGS="-q"
+
diff --git a/abs/core-testing/dhcp/dhcpd b/abs/core-testing/dhcp/dhcpd
index 0aebcc8..1fbb31e 100755
--- a/abs/core-testing/dhcp/dhcpd
+++ b/abs/core-testing/dhcp/dhcpd
@@ -2,6 +2,7 @@
. /etc/rc.conf
. /etc/rc.d/functions
+. /etc/conf.d/dhcp
PIDFILE="/var/run/dhcpd.pid"
PID=`cat $PIDFILE 2>/dev/null`
@@ -9,7 +10,7 @@ case "$1" in
start)
stat_busy "Starting DHCP Server"
if [ "$PID" = "" ]; then
- /usr/sbin/dhcpd -q
+ /usr/sbin/dhcpd $DHCP_ARGS
fi
if [ "$PID" != "" -o $? -gt 0 ]; then
stat_fail
diff --git a/abs/core-testing/dhcpcd/PKGBUILD b/abs/core-testing/dhcpcd/PKGBUILD
index dfc1914..1cfb7f9 100644
--- a/abs/core-testing/dhcpcd/PKGBUILD
+++ b/abs/core-testing/dhcpcd/PKGBUILD
@@ -1,27 +1,48 @@
-# $Id: PKGBUILD 356 2008-04-18 22:56:27Z aaron $
-# Maintainer: judd <jvinet@zeroflux.org>
+
pkgname=dhcpcd
-pkgver=3.2.1
-pkgrel=10
-pkgdesc="A DHCP client daemon"
-arch=(i686 x86_64)
+pkgver=5.0.7
+pkgrel=1
+pkgdesc="RFC2131 compliant DHCP client daemon"
+url="http://roy.marples.name/dhcpcd/"
+arch=('i686' 'x86_64')
license=('BSD')
-url="http://roy.marples.name/dhcpcd"
groups=('base')
-depends=('glibc')
-backup=('etc/conf.d/dhcpcd')
-source=(http://roy.marples.name/dhcpcd/$pkgname-$pkgver.tar.bz2
- dhcpcd.conf.d)
-md5sums=('5a437882b6b9eb29bde323dc411be4a4'
- '12d866a78d9f5fa5f31ca18b3940d847')
+depends=('glibc' 'bash')
+backup=('etc/conf.d/dhcpcd' 'etc/dhcpcd.conf')
+options=('emptydirs') # We Need the Empty /var/lib/dhcpcd Directory
+source=("http://roy.marples.name/downloads/$pkgname/$pkgname-$pkgver.tar.bz2" \
+ 'dhcpcd.conf.d')
build() {
- cd $startdir/src/$pkgname-$pkgver
- #disable DUID usage
- echo "#undef ENABLE_DUID" >> config.h
+ cd ${srcdir}/${pkgname}-${pkgver}
+
+ # Fix Installation Locations
+ export PREFIX=/usr
+ sed -i 's/${PREFIX}\/etc/\/etc/' Makefile || return 1
+ sed -i 's/\/db/\/lib\/dhcpcd/' Makefile || return 1
+ sed -i 's/\/libexec/\/lib\/dhcpcd/' Makefile || return 1
+ sed -i 's/\/libexec/\/lib\/dhcpcd/' dhcpcd-hooks/Makefile || return 1
+ sed -i 's/${PREFIX}\/sbin/\/sbin/' Makefile || return 1
+
+ # Build
make || return 1
- make DESTDIR=$startdir/pkg install
- mkdir -p $startdir/pkg/usr/sbin
- ln -sf /sbin/dhcpcd $startdir/pkg/usr/sbin/dhcpcd
- install -D -m644 ../dhcpcd.conf.d $startdir/pkg/etc/conf.d/dhcpcd
+ make DESTDIR=${pkgdir} install || return 1
+
+ # Create Binary Symlink
+ install -d ${pkgdir}/usr/sbin || return 1
+ ln -sf /sbin/dhcpcd ${pkgdir}/usr/sbin/dhcpcd || return 1
+
+ # Install Configuration File used in /etc/rc.d/network
+ install -D -m644 ../dhcpcd.conf.d $pkgdir/etc/conf.d/$pkgname || return 1
+
+ # Install License
+ install -d $pkgdir/usr/share/licenses/$pkgname || return 1
+ awk '{if(FNR<27)print $0}' ${srcdir}/${pkgname}-${pkgver}/config.h \
+ >> ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE || return 1
+
+ # Make Man Pages FHS Compliant
+ mv -f ${pkgdir}/usr/man ${pkgdir}/usr/share/man || return 1
+
+ # Set Options in /etc/dhcpcd.conf
+ echo noipv4ll >> ${pkgdir}/etc/dhcpcd.conf || return 1 # Disable ip4vall
}
diff --git a/abs/extra-testing/wireshark/PKGBUILD b/abs/extra-testing/wireshark/PKGBUILD
new file mode 100644
index 0000000..4b7a88c
--- /dev/null
+++ b/abs/extra-testing/wireshark/PKGBUILD
@@ -0,0 +1,26 @@
+# $Id: PKGBUILD 34765 2009-04-11 14:17:32Z hugo $
+# Maintainer: Hugo Doria <hugo@archlinux.org>
+
+pkgname=wireshark
+pkgver=1.2.0
+pkgrel=3
+pkgdesc="A free network protocol analyzer for Unix/Linux and Windows"
+arch=('i686' 'x86_64')
+license=('GPL2')
+depends=('gtk2>=2.14.5' 'heimdal>=1.2.1' 'libpcap>=1.0.0' 'bash' 'gnutls>=2.4.1' 'libcap>=2.16')
+makedepends=('bison' 'flex')
+url="http://www.wireshark.org/"
+replaces=('ethereal')
+options=(!libtool)
+source=(http://www.wireshark.org/download/src/${pkgname}-${pkgver}.tar.gz wireshark.desktop wireshark.png)
+
+build() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ export CFLAGS="-fno-unit-at-a-time ${CFLAGS}"
+ ./configure --prefix=/usr --with-ssl || return 1
+ make all || return 1
+ make DESTDIR=${pkgdir} install || return 1
+
+ install -Dm644 ${srcdir}/wireshark.png ${pkgdir}/usr/share/icons/wireshark.png
+ install -Dm644 ${srcdir}/wireshark.desktop ${pkgdir}/usr/share/applications/wireshark.desktop
+}
diff --git a/abs/extra-testing/wireshark/wireshark.desktop b/abs/extra-testing/wireshark/wireshark.desktop
new file mode 100644
index 0000000..f4317f6
--- /dev/null
+++ b/abs/extra-testing/wireshark/wireshark.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Encoding=UTF-8
+GenericName=Wireshark
+Comment=Network protocol analyzer
+Name=wireshark
+Exec=wireshark
+Icon=/usr/share/icons/wireshark.png
+Type=Application
+Terminal=false
+Categories=Application;Network;
diff --git a/abs/extra-testing/wireshark/wireshark.png b/abs/extra-testing/wireshark/wireshark.png
new file mode 100644
index 0000000..4e40263
--- /dev/null
+++ b/abs/extra-testing/wireshark/wireshark.png
Binary files differ